Name:           lostlabyrinth-sounds
Version:        2.5.2
Release:        2%{?dist}
Summary:        Lost Labyrinth sounds
Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.lostlabyrinth.com/
# <sigh> not versioned, need to check if there is a newer version each release
Source0:        http://www.lostlabyrinth.com/download/sounds.tar.gz
Source1:        license-clarification.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  elice
# for /usr/share/lostlabyrinth ownership
Requires:       lostlabyrinth

%description
Lost Labyrinth is a graphical rogue like / dungeon crawling game, with the
following (unique) features:
* Relatively short gameplay (between 10-40 Minutes)
* Very high replayability because everything is created at random!
* Many different skills to choose from (every player needs another tactic!)
* No experience gain for killing monsters (only for reaching new levels!)
* Up to 4 players at the same machine

This packages contains the necessary sounds for Lost Labyrinth


%prep
%setup -q -n sounds_%{version}
cp -a %{SOURCE1} .


%build
pushd sounds
lostlabyrinth_pack_sounds
popd


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/lostlabyrinth
install -m 644 sounds/sounds.pak $RPM_BUILD_ROOT/%{_datadir}/lostlabyrinth


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc license-clarification.txt
%{_datadir}/lostlabyrinth/sounds.pak


%changelog
* Sat May 31 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.5.2-2
- Add a text file clarifying the Lost Labyrinth license

* Sat May 24 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.5.2-1
- Initial Fedora Package
